Skip to main content
GET
/
matters
/
{matterId}
/
documents
/
files
/
{fileId}
Get a file
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId}/documents/files/{fileId} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "versionId": "<string>",
  "folder": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "matter": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "name": "court filing",
  "fileExtension": ".pdf",
  "ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
  "to": "recipient@email.com",
  "from": "sender@email.com",
  "dateCreated": "2022-04-23T14:00:00Z",
  "dateModified": "2022-04-25T17:00:00Z",
  "sizeBytes": 19104768,
  "downloadInfo": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "additionalData": {},
  "isFavorite": false,
  "isUploaded": false,
  "isCancelled": false,
  "isDuplicate": true,
  "isDeleted": false
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

fileId
string
required
matterId
string
required

Response

When request is successful. Returns a 'File' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object
id
string | null

Unique identifier of the file.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

versionId
string | null

Unique identifier of the file's current version.

folder
object

Hypermedia link of the folder to which the file belongs.

matter
object

Hypermedia link of the matter to which the file belongs.

name
string | null

Name of the file, excluding file extension.

Example:

"court filing"

fileExtension
string | null

Extension of the file.

Example:

".pdf"

ownerId
string | null

Unique identifier of the user who created/uploaded this file.

Example:

"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"

to
string | null

The 'To' or recipients' email address (only applicable for email files).

Example:

"recipient@email.com"

from
string | null

The 'From' or sender's email address (only applicable for email files).

Example:

"sender@email.com"

dateCreated
string<date-time>

The original datetime that the file was created.

Example:

"2022-04-23T14:00:00Z"

dateModified
string<date-time>

The datetime that the file was last modified.

Example:

"2022-04-25T17:00:00Z"

sizeBytes
integer<int64>

Size of the file (in bytes).

Example:

19104768

downloadInfo
object

Hypermedia link to the download details of the file.

additionalData
object

Collection of file meta data as KeyValuePair(string, object).

isFavorite
boolean

Flag indicating whether this file is a favorite

Example:

false

isUploaded
boolean

Flag indicating whether the file contents are uploaded to the server.

Example:

false

isCancelled
boolean

Flag indicating whether the file upload has been cancelled.

Example:

false

isDuplicate
boolean

Flag indicating whether the file data is duplicated. Applies to emails only for now.

isDeleted
boolean

Flag indicating whether the file has been deleted.

Example:

false